#ifndef __DILLOCFG_GTK_TOKEN_H__
#define __DILLOCFG_GTK_TOKEN_H__

#include <gtk/gtk.h>

#include "../config.h"
#include "dillocfg_option.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */
   /* define enumeration values to be returned for specific symbols */
   typedef enum {
      TOKEN_NULL = 0,
      TOKEN_GEOMETRY,
      TOKEN_PROXY,
      TOKEN_PROXYUSER,
      TOKEN_NOPROXY,
      TOKEN_USER_AGENT,
      TOKEN_SEND_REFERER,
      TOKEN_LINK_COLOR,
      TOKEN_VISITED_COLOR,
      TOKEN_BG_COLOR,
      TOKEN_ALLOW_WHITE_BG,
      TOKEN_FORCE_MY_COLORS,
      TOKEN_CONTRAST_VISITED_COLOR,
      TOKEN_TEXT_COLOR,
      TOKEN_USE_OBLIQUE,
      TOKEN_START_PAGE,
      TOKEN_HOME,
      TOKEN_SEARCH_URL,
      TOKEN_SEARCH_CHARSET,
      TOKEN_PANEL_SIZE,
      TOKEN_SMALL_ICONS,
      TOKEN_FONT_FACTOR,
      TOKEN_FONT_SIZES,
      TOKEN_SHOW_TOOLTIP,
      TOKEN_LIMIT_TEXT_WIDTH,
      TOKEN_LIMIT_FONT_DECORATION,
      TOKEN_W3C_PLUS_HEURISTICS,
      TOKEN_USE_DICACHE,
      TOKEN_SHOW_BACK,
      TOKEN_SHOW_FORW,
      TOKEN_SHOW_HOME,
      TOKEN_SHOW_RELOAD,
      TOKEN_SHOW_SAVE,
      TOKEN_SHOW_STOP,
      TOKEN_SHOW_BOOKMARKS,
      TOKEN_SHOW_MENUBAR,
      TOKEN_SHOW_CLEAR_URL,
      TOKEN_SHOW_URL,
      TOKEN_SHOW_SEARCH,
      TOKEN_SHOW_PROGRESS_BOX,
      TOKEN_SHOW_POPUP_NAVIGATION,
      TOKEN_FULLWINDOW_START,
      TOKEN_TRANSIENT_DIALOGS,
      TOKEN_POPUP_DIALOGS,
      TOKEN_FW_FONT,
      TOKEN_VW_FONT,
      TOKEN_FW_AAFONT,
      TOKEN_VW_AAFONT,
      TOKEN_GENERATE_SUBMIT,
      TOKEN_ENTERPRESS_FORCES_SUBMIT,
      TOKEN_SHOW_MSG,
      TOKEN_SHOW_EXTRA_WARNINGS,
      TOKEN_FOCUS_LOCATION_ON_NEW,
      TOKEN_ACCEPT_LANGUAGE,
#ifndef DISABLE_TABS
      TOKEN_TAB_LOAD_IN_BACKGROUND,
      TOKEN_TAB_INSTEAD_OF_WINDOW,
      TOKEN_TAB_BAR_SHOW_FULLSCREEN,
      TOKEN_TAB_BAR_SHOW_SINGLE_TAB,
      TOKEN_TAB_BAR_SCROLLER,
      TOKEN_TAB_BAR_HOMOGENEOUS,
      TOKEN_TAB_TITLE_COMPRESS,
      TOKEN_TAB_CLOSE_MIDDLE_CLICK,
      TOKEN_COMPRESS_VOWELS,
      TOKEN_COMPRESS_COMMON_PREFIXES,
#endif /* !DISABLE_TABS */
      TOKEN_COOKIE_DEFAULT,
      TOKEN_COOKIE,

      TOKEN_LAST
   } TokenType;
#define N_TOKENS TOKEN_LAST

   guint    name2token(const gchar *name);
   const gchar   *get_token_name(guint tkn);
   const gchar   *get_token_label(guint tkn);
   guint    get_token_type(guint tkn);
   gpointer get_token_value(guint tkn);
   gpointer get_token_option(guint tkn);
   Option        *get_token_object(guint tkn);
   void           set_token_object(guint tkn, Option *obj);

#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __DILLOCFG_GTK_TOKEN_H__ */

/* vim: set ts=3 sw=3 sts=3 expandtab:*/
